#247 files skipped during playback

v1.0 (example)
closed-invalid
nobody
None
8
2014-07-12
2014-06-26
peteS
No

During automatic playback of a directory's contents files are skipped. The skipped file can be seen both locally on the server and in the rendered folder view of the UPnP client (LG BD570). If the directory is set to play again the same file will be skipped, it is 100% repeatable. This behavior is present both in older versions and the latest git version against which I'm reporting. I've looked in the log file and there is no evidence of anything wrong, no errors nor warnings. It's as if minidlna isn't even aware of this file. But here's the really weird thing - if the file is explicitly selected (by clicking on it) it does in fact play ! So apparently minidlna can find it. So what's different between starting play explicitly vs. automatically? And why does it fail for some files during automatic playback?

Related

Bugs: #247

Discussion

  • peteS

    peteS - 2014-06-27

    BTW, I'm an experienced developer who's willing to help. I just need some direction and guidance regarding what code to examine and test.For instance, what part of the code decides which song to play next when playing a directory's contents automatically (not from a playlist).

     
  • Justin Maggard

    Justin Maggard - 2014-07-12
    • status: open --> closed-invalid
     
    • peteS

      peteS - 2014-07-12

      Are they requested one at a time or in the case of a playlist does
      minidlna process the entire playlist?

      On 07/11/2014 07:26 PM, Justin Maggard wrote:

      • status: open --> closed-invalid
      • Comment:

      There is no code on the server side that decides what to play next.
      That is determined entirely by the client.


      [bugs:#247] http://sourceforge.net/p/minidlna/bugs/247 files
      skipped during playback

      Status: closed-invalid
      Group: v1.0 (example)
      Created: Thu Jun 26, 2014 11:23 PM UTC by peteS
      Last Updated: Fri Jun 27, 2014 04:35 PM UTC
      Owner: nobody

      During automatic playback of a directory's contents files are skipped.
      The skipped file can be seen both locally on the server and in the
      rendered folder view of the UPnP client (LG BD570). If the directory
      is set to play again the same file will be skipped, it is 100%
      repeatable. This behavior is present both in older versions and the
      latest git version against which I'm reporting. I've looked in the log
      file and there is no evidence of anything wrong, no errors nor
      warnings. It's as if minidlna isn't even aware of this file. But
      here's the really weird thing - if the file is explicitly selected (by
      clicking on it) it does in fact play ! So apparently minidlna can find
      it. So what's different between starting play explicitly vs.
      automatically? And why does it fail for some files during automatic
      playback?


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/minidlna/bugs/247/
      https://sourceforge.net/p/minidlna/bugs/247

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/
      https://sourceforge.net/auth/subscriptions

       

      Related

      Bugs: #247

      • peteS

        peteS - 2014-07-12

        Never mind. I figured it out. It was a networking problem (MTU size).
        Sorry about the false alarm.

        On 07/12/2014 01:02 PM, peteS wrote:

        Are they requested one at a time or in the case of a playlist does
        minidlna process the entire playlist?

        On 07/11/2014 07:26 PM, Justin Maggard wrote:

          * /status/: open --> closed-invalid
          * /Comment/:
        
        There is no code on the server side that decides what to play next.
        That is determined entirely by the client.
        
        ------------------------------------------------------------------------
        
        /[bugs:#247] <http://sourceforge.net/p/minidlna/bugs/247>
        http://sourceforge.net/p/minidlna/bugs/247 files
        skipped during playback/
        
        /Status:/ closed-invalid
        /Group:/ v1.0 (example)
        /Created:/ Thu Jun 26, 2014 11:23 PM UTC by peteS
        /Last Updated:/ Fri Jun 27, 2014 04:35 PM UTC
        /Owner:/ nobody
        
        During automatic playback of a directory's contents files are
        skipped.
        The skipped file can be seen both locally on the server and in the
        rendered folder view of the UPnP client (LG BD570). If the directory
        is set to play again the same file will be skipped, it is 100%
        repeatable. This behavior is present both in older versions and the
        latest git version against which I'm reporting. I've looked in the
        log
        file and there is no evidence of anything wrong, no errors nor
        warnings. It's as if minidlna isn't even aware of this file. But
        here's the really weird thing - if the file is explicitly selected
        (by
        clicking on it) it does in fact play ! So apparently minidlna can
        find
        it. So what's different between starting play explicitly vs.
        automatically? And why does it fail for some files during automatic
        playback?
        
        ------------------------------------------------------------------------
        
        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/minidlna/bugs/247/
        <https://sourceforge.net/p/minidlna/bugs/247>
        https://sourceforge.net/p/minidlna/bugs/247
        
        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/
        <https://sourceforge.net/auth/subscriptions>
        https://sourceforge.net/auth/subscriptions
        

        [bugs:#247] http://sourceforge.net/p/minidlna/bugs/247 files
        skipped during playback

        Status: closed-invalid
        Group: v1.0 (example)
        Created: Thu Jun 26, 2014 11:23 PM UTC by peteS
        Last Updated: Sat Jul 12, 2014 12:26 AM UTC
        Owner: nobody

        During automatic playback of a directory's contents files are skipped.
        The skipped file can be seen both locally on the server and in the
        rendered folder view of the UPnP client (LG BD570). If the directory
        is set to play again the same file will be skipped, it is 100%
        repeatable. This behavior is present both in older versions and the
        latest git version against which I'm reporting. I've looked in the log
        file and there is no evidence of anything wrong, no errors nor
        warnings. It's as if minidlna isn't even aware of this file. But
        here's the really weird thing - if the file is explicitly selected (by
        clicking on it) it does in fact play ! So apparently minidlna can find
        it. So what's different between starting play explicitly vs.
        automatically? And why does it fail for some files during automatic
        playback?


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/minidlna/bugs/247/
        https://sourceforge.net/p/minidlna/bugs/247

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/
        https://sourceforge.net/auth/subscriptions

         

        Related

        Bugs: #247

  • Justin Maggard

    Justin Maggard - 2014-07-12

    There is no code on the server side that decides what to play next. That is determined entirely by the client.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks